package com.google.firebase.messaging;

import X.C33768rv;
import X.C36088vf;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import com.bytedance.covode.number.Covode;
import com.google.android.gms.common.internal.safeparcel.AbstractSafeParcelable;
import java.util.Map;

public final class RemoteMessage extends AbstractSafeParcelable {
    public static final Parcelable.Creator<RemoteMessage> CREATOR = new C33768rv();
    public Bundle LIZ;
    public Map<String, String> LIZIZ;

    static {
        Covode.recordClassIndex(45328);
    }

    public RemoteMessage(Bundle bundle) {
        this.LIZ = bundle;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        int LIZ2 = C36088vf.LIZ(parcel, 20293);
        C36088vf.LIZ(parcel, 2, this.LIZ);
        C36088vf.LIZIZ(parcel, LIZ2);
    }
}
